Skip to main content

Create Tag

Create a new tag in your workspace.


Endpoint

POST https://api.campaignlark.com/v1/tags

Request Body

FieldTypeRequiredDescription
namestringrequiredThe tag name. 1–64 characters. Must be unique within the workspace.
descriptionstringoptionalA short description of the tag. Max 96 characters.

Sample Request

POST https://api.campaignlark.com/v1/tags
Content-Type: application/json

{
"name": "VIP",
"description": "VIP customers"
}

Response

Success — 201 Created

{
"data": {
"id": 1,
"name": "VIP",
"description": "VIP customers"
}
}

Errors

StatusMessageCause
400Validation errorname is missing, empty, or exceeds 64 characters.
400Validation errordescription exceeds 96 characters.
400Validation errorA tag with the same name already exists in the workspace.
400Validation errorAn import or export is currently in progress.